%define anolis_release 1

Name:           libglib-testing
Version:        0.1.0
Release:        %{anolis_release}%{?dist}
Summary:        GLib-based test library and harness
 
License:        LGPLv2+
URL:            https://gitlab.gnome.org/pwithnall/libglib-testing
Source0:        https://gitlab.gnome.org/pwithnall/libglib-testing/-/archive/%{version}/%{name}-%{version}.tar.bz2
 
BuildRequires:  gtk-doc
BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  pkgconfig(gio-2.0)
 
%description
Libglib-testing is a library that is a part of the GLib toolkit. It includes
functions and macros for writing unit tests for GLib-based libraries and
applications. The library provides a set of assertions for testing different
types of data, and also includes functions for handling memory leaks,
timeouts, and other testing-related tasks.

Some of the key features of libglib-testing include:

Easy integration with GLib-based libraries and applications

A wide range of test assertions for different data types, including
strings, integers, and floating-point numbers

Support for testing asynchronous code with timeouts and main loop
integration

Built-in support for testing memory leaks and other memory-related issues

Support for running tests in parallel for faster test execution

Detailed output and reporting of test results, including XML output for
integration with continuous integration (CI) systems.

Libglib-testing is widely used in the development of GLib-based applications
and libraries, as well as in the development of other open source projects. It
is an essential tool for ensuring that code is tested thoroughly and that any
bugs or issues are caught before they are released to users.

%package devel
Summary:        Development files for %{name}
License:        LGPLv2+
Requires:       %{name}%{?_isa} = %{version}-%{release}
 
%description devel
This package contains the pkg-config file and development headers
for %{name}.

%package doc
Summary: Doc files for %{name}
Requires: %{name} = %{EVR}
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}
 
%prep
%autosetup -p1
 
%build
%meson
%meson_build
%install
%meson_install

%files
%license COPYING
%{_libdir}/libglib-testing-0.so.0*
 
%files devel
%{_datadir}/gtk-doc/
%{_includedir}/glib-testing-0/
%{_libdir}/libglib-testing-0.so
%{_libdir}/pkgconfig/glib-testing-0.pc

%files doc
%doc NEWS README
 
%changelog
* Fri Apr 14 2023 Xuchun Shang <xuchun.shang@linux.alibaba.com> - 0.1.0-1
- Init from upstream
